import pandas as pd
import numpy as np
import glob
import matplotlib.pyplot as plt
import matplotlib
import os
from matplotlib import rc

rc('font', **{'family': 'serif', 'serif': ['Charter BT']})
matplotlib.rcParams.update({'pgf.rcfonts': False})
matplotlib.rcParams.update({'font.size': 9})


it = 0
cwd = os.getcwd()
print(cwd)

for data0 in sorted(glob.glob(cwd +"/results/OmniPDP*.txt")):
    df = pd.read_csv(data0, delim_whitespace=True, header=None)
    if( it== 0):
        prop_delay = df[0].values
        power = np.zeros(shape= (len(prop_delay),1))
        power_lin = df[1].values
        power_lin = 10**(power_lin/10)
        power = power_lin
        it = it +1
       
    else:
        power_lin = df[1].values
        power_lin = 10**(power_lin/10)
        power = power + power_lin
  
power = power/200
power = 10*np.log10(power)



fig, ax = plt.subplots(figsize = (4.77, 3.6))
ax.set_xlim(0, 1250)
ax.set_ylim(-145, -80)
ax.set_xlabel("Propagation Delay in ns")
ax.set_ylabel("Average Received Power in dBm")
plt.stem(prop_delay, power, linefmt='black', markerfmt='None', bottom = -150 )
plt.xticks((0, 100, 200, 300, 400, 500, 600, 700, 800, 900, 1000, 1200))
#major_ticks = np.arange(0,1200,200)
#ax.set_xticks(major_ticks)
fig = plt.gcf()
plt.grid(True)

fig.savefig('paper_nyusim_validation.png', dpi = 300)
plt.show()

    
    
